Description: Fix Mellanox CI, test-requirements.txt and unit tests failures
 Due to some upstream changes [1], Mellanox CI is failing.
 Moreover, the test requierments must be synced with the neutron
 [1]  [https://github.com/openstack/neutron/commit/b5e10bf7277aa2cb74eb356b9dbf7f172218ee79
Author: waleedm <waleedm@nvidia.com>
Date: Wed, 20 Apr 2022 12:01:06 +0000
Change-Id: Ie54d2b5d535d815019e6546b0ee8478633f684f0
Origin: upstream, https://review.opendev.org/c/x/networking-mlnx/+/838717
Last-Update: 2022-05-31
Bug-Debian: https://bugs.debian.org/1011673

Index: networking-mlnx/networking_mlnx/eswitchd/eswitch_daemon.py
===================================================================
--- networking-mlnx.orig/networking_mlnx/eswitchd/eswitch_daemon.py
+++ networking-mlnx/networking_mlnx/eswitchd/eswitch_daemon.py
@@ -16,6 +16,7 @@
 
 import sys
 
+from neutron.common import config as common_config
 from oslo_config import cfg
 from oslo_log import log as logging
 from oslo_serialization import jsonutils
@@ -104,6 +105,7 @@ class MlxEswitchDaemon(object):
 
 
 def main():
+    common_config.register_common_config_options()
     config.init(sys.argv[1:])
     try:
         daemon = MlxEswitchDaemon()
Index: networking-mlnx/networking_mlnx/plugins/ml2/drivers/mlnx/agent/mlnx_eswitch_neutron_agent.py
===================================================================
--- networking-mlnx.orig/networking_mlnx/plugins/ml2/drivers/mlnx/agent/mlnx_eswitch_neutron_agent.py
+++ networking-mlnx/networking_mlnx/plugins/ml2/drivers/mlnx/agent/mlnx_eswitch_neutron_agent.py
@@ -455,6 +455,7 @@ class MlnxEswitchNeutronAgent(object):
 
 
 def main():
+    common_config.register_common_config_options()
     config.config.register_root_helper(cfg.CONF)
     common_config.init(sys.argv[1:])
     common_config.setup_logging()
Index: networking-mlnx/networking_mlnx/tests/unit/ml2/drivers/mlnx/test_mech_mlnx.py
===================================================================
--- networking-mlnx.orig/networking_mlnx/tests/unit/ml2/drivers/mlnx/test_mech_mlnx.py
+++ networking-mlnx/networking_mlnx/tests/unit/ml2/drivers/mlnx/test_mech_mlnx.py
@@ -38,16 +38,20 @@ class MlnxMechanismBaseTestCase(base.Age
 
     AGENTS = [{'alive': True,
                'configurations': GOOD_CONFIGS,
-               'host': 'host'}]
+               'host': 'host',
+               'agent_type': AGENT_TYPE}]
     AGENTS_DEAD = [{'alive': False,
                     'configurations': GOOD_CONFIGS,
-                    'host': 'dead_host'}]
+                    'host': 'dead_host',
+                    'agent_type': AGENT_TYPE}]
     AGENTS_BAD = [{'alive': False,
                    'configurations': GOOD_CONFIGS,
-                   'host': 'bad_host_1'},
+                   'host': 'bad_host_1',
+                   'agent_type': AGENT_TYPE},
                   {'alive': True,
                    'configurations': BAD_CONFIGS,
-                   'host': 'bad_host_2'}]
+                   'host': 'bad_host_2',
+                   'agent_type': AGENT_TYPE}]
 
     def setUp(self):
         super(MlnxMechanismBaseTestCase, self).setUp()
